%
% DESCRIPTION: Program to create the Interval Velocity Model GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'n/a' %input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Depth','Depth of measured velocity (depth of the layer)'
    'V_int','Interval velocity information'
    };
[FieldType] = {
    'Depth',20
    'V_int',12
    };
[FieldUnit] = {
    'Depth','m'
    'V_int','m/s'
    };
[d] = struct();

d.Depth = [];

d.V_int = [];




save('GDF_EpisodeName_Interval_Velocity_Model_example.mat')